## ros-jazzy-moveit-ros-warehouse 2.10.0

=== debian/changelog ===
ros-jazzy-moveit-ros-warehouse (2.10.0-2bookworm) bookworm; urgency=high

  * Migrate ros-planning org to moveit (#2847 <https://github.com/moveit/moveit2/issues/2847>)
    * Rename github.com/ros-planning -> github.com/moveit
    * Rename ros-planning.github.io -> moveit.github.io
    * Rename ros-planning organization in docker and CI workflow files
    - ghcr.io/ros-planning -> ghcr.io/moveit
    - github.repository == 'moveit/*''
  * Unify log names (#2720 <https://github.com/moveit/moveit2/issues/2720>)
    Co-authored-by: Abishalini Sivaraman <mailto:abi.gpuram@gmail.com>
  * CMake format and lint in pre-commit (#2683 <https://github.com/moveit/moveit2/issues/2683>)
  * Contributors: Robert Haschke, Sebastian Jahr, Tyler Weaver

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 12 Jun 2024 16:00:00 -0000

ros-jazzy-moveit-ros-warehouse (2.9.0-2bookworm) bookworm; urgency=high

  * Node logging in moveit_core (#2503 <https://github.com/ros-planning/moveit2/issues/2503>)
  * Use node logging in moveit_ros (#2482 <https://github.com/ros-planning/moveit2/issues/2482>)
  * Add new clang-tidy style rules (#2177 <https://github.com/ros-planning/moveit2/issues/2177>)
  * Node logger through singleton (warehouse) (#2445 <https://github.com/ros-planning/moveit2/issues/2445>)
    Co-authored-by: Abishalini Sivaraman <mailto:abi.gpuram@gmail.com>
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
  * Use node logging in warehouse broadcast (#2432 <https://github.com/ros-planning/moveit2/issues/2432>)
  * Merge branch 'main' into dependabot/github_actions/SonarSource/sonarcloud-github-c-cpp-2
  * Contributors: Sebastian Jahr, Tyler Weaver

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 08 Jan 2024 16:00:00 -0000

ros-jazzy-moveit-ros-warehouse (2.8.0-2bookworm) bookworm; urgency=high

  * Replaced boost::algorithm::join with fmt::join (#2273 <https://github.com/ros-planning/moveit2/issues/2273>)
    * Replaced boost::algorithm::join with fmt::join
    * Made changes in CMakeLists.txt to accomodate fmt
    * Updated package.xml files
    * removed redundant boost dependencies
    * Rename variables -> variable
    ---------
    Co-authored-by: Sebastian Castro <4603398+sea-bass@users.noreply.github.com>
    Co-authored-by: Sebastian Jahr <sebastian.jahr@picknik.ai>
  * Replaced numbers with SystemDefaultsQos() (#2271 <https://github.com/ros-planning/moveit2/issues/2271>)
  * Contributors: Shobuj Paul

 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 09 Sep 2023 16:00:00 -0000

ros-jazzy-moveit-ros-warehouse (2.7.4-2bookworm) bookworm; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 17 May 2023 16:00:00 -0000

ros-jazzy-moveit-ros-warehouse (2.7.3-2bookworm) bookworm; urgency=high

  * Replace check for the ROS_DISTRO env variable with a check for the rclcpp version (#2135 <https://github.com/ros-planning/moveit2/issues/2135>)
  * Replace Variable PROJECT_NAME in CMakeLists.txt with the actual name (#2020 <https://github.com/ros-planning/moveit2/issues/2020>)
  * Contributors: Jafar, Shobuj Paul

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 23 Apr 2023 16:00:00 -0000

ros-jazzy-moveit-ros-warehouse (2.7.2-2bookworm) bookworm; urgency=high

  * Switch from qos_event.hpp to event_handler.hpp (#2111 <https://github.com/ros-planning/moveit2/issues/2111>)
    * Switch from qos_event.hpp to event_handler.hpp
    * moveit_common: Add a cmake interface library to keep humble support on main
    * Include qos_event.hpp or event_handler.hpp depending on the ROS 2 version
    * Fix ament_lint_cmake
    * Fix clang-tidy
    * PRIVATE linking in some cases
    * Update moveit_common/cmake/moveit_package.cmake
    Co-authored-by: Chris Thrasher <mailto:chrisjthrasher@gmail.com>
    * Fix servo and cleanup excessive CMake variable usage
    * Cleanup & make compiling
    * Small variable naming and const cleanup
    * Restore OpenCV linking
    * Public/private linking fixup
    * Revert "Restore OpenCV linking"
    This reverts commit 57a9efa806e59223e35a1f7e998d7b52f930c263.
    ---------
    Co-authored-by: JafarAbdi <mailto:jafar.uruc@gmail.com>
    Co-authored-by: Jafar <mailto:cafer.abdi@gmail.com>
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
    Co-authored-by: Chris Thrasher <mailto:chrisjthrasher@gmail.com>
  * Contributors: Sebastian Jahr

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 17 Apr 2023 16:00:00 -0000

ros-jazzy-moveit-ros-warehouse (2.7.1-2bookworm) bookworm; urgency=high

  * Fix member naming (#1949 <https://github.com/ros-planning/moveit2/issues/1949>)
    * Update clang-tidy rules for readability-identifier-naming
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * Contributors: Robert Haschke

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 22 Mar 2023 16:00:00 -0000

ros-jazzy-moveit-ros-warehouse (2.7.0-2bookworm) bookworm; urgency=high

  * converted characters from string format to character format (#1881 <https://github.com/ros-planning/moveit2/issues/1881>)
  * Fix BSD license in package.xml (#1796 <https://github.com/ros-planning/moveit2/issues/1796>)
    * fix BSD license in package.xml
    * this must also be spdx compliant
  * Enable -Wold-style-cast (#1770 <https://github.com/ros-planning/moveit2/issues/1770>)
  * Add braces around blocks. (#999 <https://github.com/ros-planning/moveit2/issues/999>)
  * Use <> for non-local headers (#1734 <https://github.com/ros-planning/moveit2/issues/1734>)
    Unless a header lives in the same or a child directory of the file
    including it, it's recommended to use <> for the #include statement.
    For more information, see the C++ Core Guidelines item SF.12
    https://isocpp.github.io/CppCoreGuidelines/CppCoreGuidelines#sf12-prefer-the-quoted-form-of-include-for-files-relative-to-the-including-file-and-the-angle-bracket-form-everywhere-else
  * Fix clang-tidy issues (#1706 <https://github.com/ros-planning/moveit2/issues/1706>)

