=== debian/control ===
Source: ros-jazzy-moveit-ros-warehouse
Section: misc
Priority: optional
Maintainer: Henning Kayser <henningkayser@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), libfmt-dev, ros-jazzy-ament-cmake, ros-jazzy-moveit-common, ros-jazzy-moveit-core, ros-jazzy-moveit-ros-planning, ros-jazzy-rclcpp, ros-jazzy-tf2-eigen, ros-jazzy-tf2-ros, ros-jazzy-warehouse-ros, ros-jazzy-ros-workspace
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-jazzy-moveit-ros-warehouse
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libfmt-dev, ros-jazzy-moveit-common, ros-jazzy-moveit-core, ros-jazzy-moveit-ros-planning, ros-jazzy-rclcpp, ros-jazzy-tf2-eigen, ros-jazzy-tf2-ros, ros-jazzy-warehouse-ros, ros-jazzy-ros-workspace
Description: Components of MoveIt connecting to MongoDB
